Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       vnc-reflector
Version:    1.2.4 
Release:    alt2_37
Summary:    A specialized, multiplexing vnc proxy server
License:    BSD 
URL:        http://sourceforge.net/projects/vnc-reflector
Source0:    http://dl.sf.net/vnc-reflector/vnc_reflector-%{version}.tar.gz
# Bug #569350, submitted to upstream
# <http://sourceforge.net/tracker/?func=detail&aid=2984246&group_id=38605&atid=422840>
Patch0:     %{name}-1.2.4-loggingfix.patch
# In upstream after 1.2.4 as commit r192
Patch1:     %{name}-1.2.4-rfb_format_buffer_overflow.patch
# Remove _LITTLE_ENDIAN identifier clash, bug #1125258, submitted to upstream
# <https://sourceforge.net/p/vnc-reflector/bugs/8/>
Patch2:     %{name}-1.2.4-unionfix.patch
# Respect compiler and linker flags, submitted to upstream
# <https://sourceforge.net/p/vnc-reflector/bugs/9/>
Patch3:     %{name}-1.2.4-Respect-external-CFLAGS-and-LDFLAGS.patch
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  libjpeg-devel
BuildRequires:  zlib-devel 
Source44: import.info

%description
Reflector is a specialized VNC server which acts as a proxy sitting between
real VNC server (a host) and a number of VNC clients. It was designed to work
efficiently with large number of clients.

%prep
%setup -q -n vnc_reflector
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1

%build
%make_build CFLAGS="$RPM_OPT_FLAGS" LDFLAGS='%{__global_ldflags}'

%install
# no install target in the makefile....
install -D -t %{buildroot}%{_bindir} vncreflector

%files
%doc --no-dereference LICENSE
%doc README ChangeLog
%{_bindir}/*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.2.4-alt2_37
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.2.4-alt2_36
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.2.4-alt2_35
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.2.4-alt2_34
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.2.4-alt2_33
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.2.4-alt2_32
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.2.4-alt2_31
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt2_30
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_30
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_29
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_28
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_27
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_26
- update to new release by fcimport

* Tue Mar 13 2018 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_25
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_24
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_23
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_21
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_20
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_19
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_18
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_16
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_15
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_14
- initial fc import

